.cx-grid {  }
.cx-grid table { border-collapse: collapse; width: 100%;  }
.cx-grid table thead th { background: url('/img/th-bg.png') repeat-x; border: 1px solid #ccc; padding: 5px; cursor: default; text-align: left; font-size: 13px; color: #333; -moz-user-select: none }
.cx-grid table thead th.min { width: 16px }
.cx-grid table thead th img { margin: 3px 0 0 10px; }

/* --> sorting */
.cx-grid table thead th.sort span { float: left }
.cx-grid table thead th.sort a { float: right; display: block; width: 16px; height: 16px }
.cx-grid table thead th.sort { cursor: pointer }
.cx-grid table thead th.sort:hover { background: url('/img/th-bg-overed.png') }
.cx-grid table thead th.sort a { background: url('/img/arrow-up-down.png') }
.cx-grid table thead th.sort-up a { background: url('/img/famfamfam/arrow-up.png') }
.cx-grid table thead th.sort-down a { background: url('/img/famfamfam/arrow-down.png') }
/* <-- */

.cx-grid table tbody tr { background: #fff }
.cx-grid table tbody tr.odd { background: #f9f9f9 }
.cx-grid table tbody tr:hover { background: #ffffcc /* url('/img/tr-bg.png')*/ }
.cx-grid table tbody tr.active { background: #ffffcc /* url('/img/tr-bg.png')*/ }
.cx-grid table tbody td { font-size: 12px; border: 1px solid #ccc; padding: 5px; cursor: default }

.cx-grid table tfoot td { padding: 5px; background: #eee; border: 1px solid #ccc; background: url('/img/th-bg.png') }
.cx-grid table tfoot td .fleft { margin: 0 2px; line-height: 20px; cursor: default }

.cx-grid .portion { font-size: 12px; float: right; -moz-user-select: none }
.cx-grid .portion a { display: block; width: 16px; height: 16px; cursor: pointer; margin: 2px 1px }
.cx-grid .portion .cur-page { font-size: 14px; font-weight: bold !important }
.cx-grid .portion .size { margin-left: 4px }
.cx-grid .portion .first { background: url('/img/famfamfam/control_start_blue.png') }
.cx-grid .portion .first-p { background: url('/img/famfamfam/control_start.png'); cursor: default }
.cx-grid .portion .prev { background: url('/img/famfamfam/control_rewind_blue.png') }
.cx-grid .portion .prev-p { background: url('/img/famfamfam/control_rewind.png'); cursor: default }
.cx-grid .portion .next { background: url('/img/famfamfam/control_fastforward_blue.png') }
.cx-grid .portion .next-p { background: url('/img/famfamfam/control_fastforward.png'); cursor: default }
.cx-grid .portion .last { background: url('/img/famfamfam/control_end_blue.png') }
.cx-grid .portion .last-p { background: url('/img/famfamfam/control_end.png'); cursor: default }
.cx-grid .portion select { border: 1px solid #ccc; background: url('/img/txt-bg.png'); color: #555; padding: 0px }
.cx-grid .portion select:focus { background: #fff !important; color: #000; border: 1px solid #999 }


.cx-grid-type-number { text-align: right }
.cx-grid-type-EscortsCount { text-align: right }
.cx-grid-type-string { text-align: left }
.cx-grid-type-date { text-align: center }
.cx-grid-type-DateTime { text-align: center }
.cx-grid-type-Currency { text-align: right }

.cx-grid-type-OrderStatus span { color: #000; display: block }
.cx-grid-type-OrderPackages span { color: #666; display: block; padding: 1px 0; font-size: 10px }
.cx-grid-type-UserTypeIcon span { display: block; padding-right: 18px; background-position: right 50%; background-repeat: no-repeat }
.cx-grid-type-UserTypeIcon span.user-type-agency { background-image: url('/img/famfamfam/group.png') }
.cx-grid-type-UserTypeIcon span.user-type-escort { background-image: url('/img/famfamfam/user_female.png') }

.cx-grid-type-UserTypeIconAV span { display: block; padding-right: 18px; background-position: right 50%; background-repeat: no-repeat }
.cx-grid-type-UserTypeIconAV span.user-type-agency { background-image: url('/img/famfamfam/group.png') }
.cx-grid-type-UserTypeIconAV span.user-type-escort { background-image: url('/img/famfamfam/user_female.png') }
.cx-grid-type-UserTypeIconAV span.user-type-pseudo_escort { background-image: url('/img/famfamfam/user_green.png') }
.cx-grid-alert { color: #f00; padding: 2px 5px }

.cx-grid-actions { position: absolute; background: #fff; border: 3px solid #555; z-index: 1; -moz-border-radius: 0 4px 4px 4px }
.cx-grid-actions-btn { position: absolute; background: #fff; border: 3px solid #555; z-index: 2; border-top: 0 none; padding: 2px; -moz-border-radius: 4px 4px 0 0 }

.cx-grid-actions-action { color: #999; display: block; background-position: 4px 50% !important; background-repeat: no-repeat !important; padding: 5px; padding-left: 24px; padding-right: 10px; cursor: pointer }
/*.cx-grid-actions-action:hover { background-color: #999; color: #eee }*/
.cx-grid-actions-action.active { background-color: #999; color: #eee }
.cx-grid-actions-action.disabled { background-color: #fff; color: #aaa }

.cx-grid tbody tr.passive { background: #eee !important }
.cx-grid tbody tr.passive * { color: #aaa }
.cx-grid .escort-username{ font-size: 11px; color: #525252; }

.cx-grid-type-StingImages .image-block, .cx-grid-type-Images .image-block{ padding: 10px 0; }
.cx-grid-type-StingImages .image-block img, .cx-grid-type-Images .image-block img{ padding: 0 5px; margin-bottom: 5px; }
.cx-grid-type-StingImages .image-block img:first-child, .cx-grid-type-Images .image-block img:first-child{ padding-left: 0 }

.dictionary-grid table { table-layout:fixed; word-wrap: break-word;}

.cx-grid-type-InstantBookStatus span { display: inline-block; padding: 2px 10px; border-radius: 3px; color: #fff; }
.cx-grid-type-InstantBookStatus .accept { background-color: #4caf50; }
.cx-grid-type-InstantBookStatus .pending { background-color: #00BCD4; }
.cx-grid-type-InstantBookStatus .deny { background-color: #f44336; }
.cx-grid-type-InstantBookStatus .no_answer { background-color: #FF9800; }

.cx-grid-type-InstantBookContactType span { width: 19px; height: 18px; margin-right: 5px; display: inline-block; background-image: url('/img/famfamfam/contact_types.png')}
.cx-grid-type-InstantBookContactType .phone_call { background-position: 38px 0; }
.cx-grid-type-InstantBookContactType .sms { background-position: 19px 0; }
.cx-grid-type-InstantBookContactType .whatsapp { background-position: 0 0; }
.cx-grid-type-InstantBookContactType .viber { background-position: 58px 0; }